****************************** REPLICATION FILE ********************************
		*************************************************************
		* This File replicates the gravity equation and the 		*
		* construction of the IV for robustness with the CvH dataset*
		* The gravity results are not reported in the paper			*
		*************************************************************



clear all
set matsize 10000
set maxvar  10000


use dataset_FLO, clear

 * Pre-regression settings

	* Fixed effects 4
		egen kj=group(id_bank iso_d)
		egen it=group(iso_o year)
		egen jt=group(iso_d year)
		egen kt=group(id_bank year)
		qui tab jt, g(jt_)
		qui tab kt, g(kt_)
		qui tab id_bank, g(k_)
		qui tab year, g(t_)
		
	* Logs
		foreach var of varlist gdp_o gdp_d distcap tot_assets cds {
			g l`var'=ln(`var')
		}
		

	*Labels
		label var ldistcap "ln(Distance)"
		label var contig  "Contiguity"
		label var comlang_off "Off. Com. Langu."  
		label var eu_ij "Both in the EU"
		label var euro_ij "Both using Euro" 
		label var diff_legalC  "Diff. legal syst."
		
		
		
 ********************* Gravity regression ***************************
 

*ppml entry_cvh  ldistcap contig comlang_off eu_ij euro_ij diff_legalC  kt_* jt_*, cluster (kj)
ppml entry_cvh ldistcap contig comlang_off eu_ij euro_ij diff_legalC, cluster (kj)
* Prediction to construct IV I:
predict p

ppml entry_cvh ldistcap contig comlang_off  eu_ij euro_ij diff_legalC  k_* jt_* , cluster(kj)
* Prediction to construct IV II:
predict p_kjt

 ******************************************************************************

	 * Generate the main independant variable and IV.
	 * The IV are named bank_p for IV1 and bank_p_kjt for IV2

		* Instrumental variables
		foreach var of varlist p p_kjt {
		g count_`var'=0
		bys id_bank year : egen bank_`var'=total(`var')  
		}


		* Independant variable : Total number of entries by bank by year 
		bys id_bank year : egen count_bank_cvh=total(entry_cvh) // Using Claessens and van Horen dataset, for robustness tables 10 and 11 of the paper


