****************************** REPLICATION FILE ********************************
		*************************************************************
		* This file transforms the dataset of bilateral openings	*
		* in a dataset with only bank-level information				*
		* that is used in the main regressions.						*
		*************************************************************


sort id_bank year
bys id_bank year : g num=_n
keep if num==1 // We keep only the first line to have only one observation for a bank-year pair.
cap keep iso_o id_bank year count_bank count_bank_cvh bank_p bank_p_kjt netinc count_bank_low ratio_k count_bank_high p_kjt_bank_low count_bank_dum count_bank_low_dum count_bank_high_dum p_kjt_bank_high cds lcds llp lsd_return_stock_price_ lzscore mean2_lrmes mean2_srisk delta_covar delta_covar_equ equ_ lev ltot_assets roa_k income_diversity asset_diversity tier1_to_asset deposits_to_asset mpi_o mpi_d m_mpi m_comov bank_p_kjt_dum tot_assets count_bank_dum t_*

 
 * We generate new variables for the regressions
		 * We generate a dummy equals to 1 for GIIPS origin countries (Italy and Spain)
		g giips=(iso_o=="ITA"|iso_o=="ESP")
		 * We generate a specific time trend for these countries
		foreach var of varlist t_* {
		g giips_`var'=giips*`var'
		}
	
		
		 * Deposits to assets and tier1 capital to assets
		*g deposits_to_asset=deposits/tot_assets
		*g tier1_to_asset=tier1/tot_assets 

 * xtset
egen idb=group(id_bank)
xtset idb year


 * Labels
cap label var lcds "ln(CDS price)"
cap label var count_bank "Expansion"
cap label var count_bank_cvh "Expansion"
cap label var bank_p "IV1"
cap label var bank_p_kjt "IV2"
cap label var ltot_assets "ln(Tot Assets)"
cap label var roa_k  "ROA"
cap label var income_diversity "Income diversity" 
cap label var asset_diversity  "Asset diversity" 
cap label var tier1_to_asset  "Tier1/Asset" 
cap label var deposits_to_asset "Deposits/Asset" 
cap label var llp "Loan-loss provisions"
cap label var lcds "ln(CDS)" 
cap label var lsd_return_stock_price_  "ln(sd stock price)"
cap label var lzscore "ln(Z-Score)"
cap label var  mean2_lrmes "LRMES"
cap label var  mean2_srisk "SRISK" 
cap label var  delta_covar "Delta Covar CDS" 
cap label var  delta_covar_equ "Delta Covar Equity" 
cap label var  equ_ "Equity price"
cap label var count_bank_low "Openings in countries with lower HHI"
cap label var count_bank_high "Openings in countries with higher HHI"
cap label var tier1_to_asset  "Tier1/Asset" 
cap label var deposits_to_asset "Deposits/Asset"



