****************************** REPLICATION FILE ********************************
		*************************************************************
		* This File replicates the tables used to build 	 		*
		* tables 5 and 6 ans tables 10 and 11 of the online appendix*
		* It uses the instruments generated in 1.gravity.do			*
		*************************************************************


*sum count_bank ltot_assets roa_k income_diversity asset_diversity tier1_to_asset deposits_to_asset, sep(10)

 *********************** Baseline : tables 5 and 6 ****************************

foreach x of varlist lcds llp lsd_return_stock_price_ lzscore mean2_lrmes mean2_srisk delta_covar delta_covar_equ lev {

* no controls
xtreg `x' count_bank  t_*, robust fe
outreg2 using `x', tex replace label drop(t_*)  nocon
xtivreg2 `x' (count_bank = bank_p)   t_*, first robust savefirst  small fe
outreg2 using `x', tex append label drop(t_*)  addstat(F-Test 1st, `e(widstat)'   ) nocon
xtivreg2 `x' (count_bank = bank_p_kjt) t_* , first robust savefirst  small fe
outreg2 using `x', tex append label drop(t_*)  addstat(F-Test 1st, `e(widstat)'   ) nocon

* controls
xtreg `x' count_bank  ltot_assets roa_k income_diversity asset_diversity tier1_to_asset deposits_to_asset t_*, robust fe
outreg2 using `x', tex append label drop(t_*)  nocon
xtivreg2 `x' (count_bank = bank_p)   ltot_assets roa_k income_diversity asset_diversity tier1_to_asset deposits_to_asset  t_*, first robust savefirst  small fe
outreg2 using `x', tex append label drop(t_*)  addstat(F-Test 1st, `e(widstat)'   ) nocon
xtivreg2 `x' (count_bank = bank_p_kjt)   ltot_assets roa_k income_diversity asset_diversity tier1_to_asset deposits_to_asset t_*, first robust savefirst  small fe
outreg2 using `x', tex append label drop(t_*)  addstat(F-Test 1st, `e(widstat)'   ) nocon
xtivreg2 `x' (count_bank = bank_p_kjt)   ltot_assets roa_k income_diversity asset_diversity tier1_to_asset deposits_to_asset mpi_o giips_* t_* , first robust savefirst  small fe
outreg2 using `x', tex append label drop(t_*)  addstat(F-Test 1st, `e(widstat)'   ) nocon
}


 ******************* Online appendix : tables 10 and 11 ***********************


foreach x of varlist lcds llp lsd_return_stock_price_ lzscore mean2_lrmes mean2_srisk delta_covar delta_covar_equ lev {

* no controls
xtreg `x' count_bank  t_*, cluster(idb) fe
outreg2 using `x'_cluster, tex replace label drop(t_*)  nocon
xtivreg2 `x' (count_bank = bank_p)   t_*, first cluster(idb) savefirst  small fe
outreg2 using `x'_cluster, tex append label drop(t_*)  addstat(F-Test 1st, `e(widstat)'   ) nocon
xtivreg2 `x' (count_bank = bank_p_kjt) t_* , first cluster(idb) savefirst  small fe
outreg2 using `x'_cluster, tex append label drop(t_*)  addstat(F-Test 1st, `e(widstat)'   ) nocon

* controls
xtreg `x' count_bank  ltot_assets roa_k income_diversity asset_diversity tier1_to_asset deposits_to_asset t_*, cluster(idb) fe
outreg2 using `x'_cluster, tex append label drop(t_*)  nocon
xtivreg2 `x' (count_bank = bank_p)   ltot_assets roa_k income_diversity asset_diversity tier1_to_asset deposits_to_asset  t_*, first cluster(idb) savefirst  small fe
outreg2 using `x'_cluster, tex append label drop(t_*)  addstat(F-Test 1st, `e(widstat)'   ) nocon
xtivreg2 `x' (count_bank = bank_p_kjt)   ltot_assets roa_k income_diversity asset_diversity tier1_to_asset deposits_to_asset t_*, first cluster(idb) savefirst  small fe
outreg2 using `x'_cluster, tex append label drop(t_*)  addstat(F-Test 1st, `e(widstat)'   ) nocon
xtivreg2 `x' (count_bank = bank_p_kjt)   ltot_assets roa_k income_diversity asset_diversity tier1_to_asset deposits_to_asset mpi_o giips_* t_* , first cluster(idb) savefirst  small fe
outreg2 using `x'_cluster, tex append label drop(t_*)  addstat(F-Test 1st, `e(widstat)'   ) nocon
}
