****************************** REPLICATION FILE ********************************
		*************************************************************
		* This File replicates the tables used to build 	 		*
		* tables 7 and 8.	 										*
		* It uses the instruments generated in 1.gravity.do			*
		*************************************************************

 *************** COMPETITION REGRESSIONS : TABLES 7 AND 8 *********************

foreach x in lcds llp lsd_ lzscore lev mean2_lrmes mean2_srisk delta_covar delta_covar_equ{
xtreg `x' count_bank_low count_bank_high  t_*, robust fe
outreg2 using channels_hhi_`x', tex  drop(t_*)  nocon replace label 

xtivreg2 `x' (count_bank_low count_bank_high = p_kjt_bank_low p_kjt_bank_high)   t_*, first robust savefirst small fe
outreg2 using channels_hhi_`x', tex  drop( t_*)    addstat(F-Test 1st, `e(widstat)'   ) nocon label 


xtreg `x' count_bank_low count_bank_high m_mpi m_comov ltot_assets roa_k income_diversity asset_diversity tier1_to_asset deposits_to_asset t_*, robust  fe
outreg2 using channels_hhi_`x', tex  drop( t_*)   nocon  label 

xtivreg2 `x' (count_bank_low count_bank_high = p_kjt_bank_low p_kjt_bank_high) m_mpi m_comov ltot_assets roa_k income_diversity asset_diversity tier1_to_asset deposits_to_asset t_*, first robust savefirst small fe
outreg2 using channels_hhi_`x', tex  drop( t_*)   addstat(F-Test 1st, `e(widstat)'   ) nocon label

xtivreg2 `x' (count_bank_low count_bank_high = p_kjt_bank_low p_kjt_bank_high) m_mpi m_comov ltot_assets roa_k income_diversity asset_diversity tier1_to_asset deposits_to_asset mpi_o giips_* t_*, first robust savefirst small fe
outreg2 using channels_hhi_`x', tex  drop( t_*)   addstat(F-Test 1st, `e(widstat)'   ) nocon label
}

*sssss

/*
*****************
 *************** COMPETITION REGRESSIONS : ROBUSTNESS *********************

 * Online Appendix Tables 10 and 11 : Alternative clustering strategy

foreach x in lcds llp lsd_ lzscore lev mean2_lrmes mean2_srisk delta_covar delta_covar_equ   {
xtreg `x' count_bank_low count_bank_high  t_*, cluster(idb) fe
outreg2 using channels_hhi`x'_clust, tex  drop(t_*) ctitle(OLS)  nocon replace label 
xtivreg2 `x' (count_bank_low count_bank_high = p_kjt_bank_low p_kjt_bank_high)   t_*, first cluster(idb) savefirst small fe partial(t_*)
outreg2 using channels_hhi`x'_clust, tex  drop( t_*) ctitle(2SLS)    addstat(F-Test 1st, `e(widstat)'   ) nocon label 


xtreg `x' count_bank_low count_bank_high m_mpi m_comov ltot_assets roa_k income_diversity asset_diversity tier1_to_asset deposits_to_asset  t_*, cluster(idb)  fe
outreg2 using channels_hhi`x'_clust, tex  drop( t_*) ctitle(OLS)  nocon  label 
xtivreg2 `x' (count_bank_low count_bank_high = p_kjt_bank_low p_kjt_bank_high) m_mpi m_comov ltot_assets roa_k income_diversity asset_diversity tier1_to_asset deposits_to_asset t_*, first cluster(idb) savefirst small fe partial(t_* tier1_to_asset deposits_to_asset)
outreg2 using channels_hhi`x'_clust, tex  drop( t_*) ctitle(2SLS)    addstat(F-Test 1st, `e(widstat)'   ) nocon label
}


 * Online Appendix Tables 10 and 11 : Alternative clustering strategy

foreach x in lcds llp lsd_ lzscore lev mean2_lrmes mean2_srisk delta_covar delta_covar_equ  {
xtreg `x' count_bank_low_dum count_bank_high_dum  t_*, robust fe
outreg2 using channels_hhi`x'_dum, tex  drop(t_*) ctitle(OLS)  nocon replace label 

xtivreg2 `x' (count_bank_low_dum count_bank_high_dum = p_kjt_bank_low p_kjt_bank_high)   t_*, first robust savefirst small fe 
outreg2 using channels_hhi`x'_dum, tex  drop( t_*) ctitle(2SLS)    addstat(F-Test 1st, `e(widstat)'   ) nocon label 


xtreg `x' count_bank_low_dum count_bank_high_dum m_mpi m_comov ltot_assets roa_k income_diversity asset_diversity tier1_to_asset deposits_to_asset  t_*, robust  fe
outreg2 using channels_hhi`x'_dum, tex  drop( t_*) ctitle(OLS)  nocon  label 

xtivreg2 `x' (count_bank_low_dum count_bank_high_dum = p_kjt_bank_low p_kjt_bank_high) m_mpi m_comov ltot_assets roa_k income_diversity asset_diversity tier1_to_asset deposits_to_asset t_*, first robust savefirst small fe 
outreg2 using channels_hhi`x'_dum, tex  drop( t_*) ctitle(2SLS)    addstat(F-Test 1st, `e(widstat)'   ) nocon label
}




************

