****************************** REPLICATION FILE ********************************
		*************************************************************
		* This File replicates the tables used to build 	 		*
		* robustness tables 10 and 11 of the paper (appendix).		*
		* It uses as main variable the entry data from the 			*
		* Claessens and van Horen dataset.							*
		*************************************************************


		
 ********************** Robustness : tables 10 and 11 **************************

foreach x of varlist lcds llp lsd_return_stock_price_ lzscore mean2_lrmes mean2_srisk delta_covar delta_covar_equ equ_ lev {

* no controls
xtreg `x' count_bank_cvh  t_*, robust fe
outreg2 using `x'_cvh, tex replace label drop(t_*) nocon
xtivreg2 `x' (count_bank_cvh = bank_p)   t_*, first robust savefirst  small fe
outreg2 using `x'_cvh, tex append label drop(t_*)  addstat(F-Test 1st, `e(widstat)'   ) nocon
xtivreg2 `x' (count_bank_cvh = bank_p_kjt) t_* , first robust savefirst  small fe
outreg2 using `x'_cvh, tex append label drop(t_*)  addstat(F-Test 1st, `e(widstat)'   ) nocon

* controls
xtreg `x' count_bank_cvh  ltot_assets roa_k income_diversity asset_diversity tier1_to_asset deposits_to_asset t_*, robust fe
outreg2 using `x'_cvh, tex append label drop(t_*)  nocon
xtivreg2 `x' (count_bank_cvh = bank_p)   ltot_assets roa_k income_diversity asset_diversity tier1_to_asset deposits_to_asset t_* , first robust savefirst  small fe
outreg2 using `x'_cvh, tex append label drop(t_*)  addstat(F-Test 1st, `e(widstat)'   ) nocon
xtivreg2 `x' (count_bank_cvh = bank_p_kjt)   ltot_assets roa_k income_diversity asset_diversity tier1_to_asset deposits_to_asset t_*, first robust savefirst  small fe
outreg2 using `x'_cvh, tex append label drop(t_*)  addstat(F-Test 1st, `e(widstat)'   ) nocon
*xtivreg2 `x' (count_bank_cvh = bank_p_kjt)   ltot_assets roa_k income_diversity asset_diversity tier1_to_asset deposits_to_asset mpi_o giips_* t_* , first robust savefirst  small fe
*outreg2 using `x'_cvh, tex append label drop(t_*)  addstat(F-Test 1st, `e(widstat)'   ) nocon
}


