****************************** REPLICATION FILE ********************************
		*************************************************************
		* This File replicates the tables used to build 	 		*
		* online appendix robustness tables 12 and 13				*
		* It uses as main variable the entry data from the 			*
		* extended dataset with no alternative cleaning				*
		*************************************************************


		
 ****************** Online Appendix : tables 12 and 13 ************************

foreach x of varlist lcds llp lsd_return_stock_price_ lzscore mean2_lrmes mean2_srisk delta_covar delta_covar_equ equ_ lev {

* no controls
xtreg `x' count_bank_alt  t_*, robust fe
outreg2 using `x'_alt, tex replace label drop(t_*) nocon
xtivreg2 `x' (count_bank_alt = bank_p)   t_*, first robust savefirst  small fe
outreg2 using `x'_alt, tex append label drop(t_*)  addstat(F-Test 1st, `e(widstat)'   ) nocon
xtivreg2 `x' (count_bank_alt = bank_p_kjt) t_* , first robust savefirst  small fe
outreg2 using `x'_alt, tex append label drop(t_*)  addstat(F-Test 1st, `e(widstat)'   ) nocon

* controls
xtreg `x' count_bank_alt  ltot_assets roa_k income_diversity asset_diversity tier1_to_asset deposits_to_asset t_*, robust fe
outreg2 using `x'_alt, tex append label drop(t_*)  nocon
xtivreg2 `x' (count_bank_alt = bank_p)   ltot_assets roa_k income_diversity asset_diversity tier1_to_asset deposits_to_asset t_*, first robust savefirst  small fe
outreg2 using `x'_alt, tex append label drop(t_*)  addstat(F-Test 1st, `e(widstat)'   ) nocon
xtivreg2 `x' (count_bank_alt = bank_p_kjt)   ltot_assets roa_k income_diversity asset_diversity tier1_to_asset deposits_to_asset t_*,  first robust savefirst  small fe
outreg2 using `x'_alt, tex append label drop(t_*)  addstat(F-Test 1st, `e(widstat)'   ) nocon
*xtivreg2 `x' (count_bank_alt = bank_p_kjt)   ltot_assets roa_k income_diversity asset_diversity tier1_to_asset deposits_to_asset mpi_o giips_* t_* , first robust savefirst  small fe
*outreg2 using `x'_alt, tex append label drop(t_*)  addstat(F-Test 1st, `e(widstat)'   ) nocon
}


